--
--	AgromaszPO
--
--	@author: 	 vnsdfg2
--	@descripion: Configurations Plough
--	@history:	 v1.0 - 2017-02-03 - Initial implementation
--
ConfigurationUtil.registerConfigurationType('bladeType', g_i18n:getText('configuration_bladeType'), nil, nil, nil, ConfigurationUtil.SELECTOR_MULTIOPTION)
ConfigurationUtil.registerConfigurationType('skimmerType', g_i18n:getText('configuration_skimmerType'), nil, nil, nil, ConfigurationUtil.SELECTOR_MULTIOPTION)
ConfigurationUtil.registerConfigurationType('diskType', g_i18n:getText('configuration_diskType'), nil, nil, nil, ConfigurationUtil.SELECTOR_MULTIOPTION)
ConfigurationUtil.registerConfigurationType('other', g_i18n:getText('configuration_other'), nil, nil, nil, ConfigurationUtil.SELECTOR_MULTIOPTION)

AgromaszPO = {}
AgromaszPO.modDir = g_currentModDirectory;

function AgromaszPO.prerequisitesPresent(specializations)
    return true;
end;

function AgromaszPO:load(savegame)
	local bladeTypeId = Utils.getNoNil(self.configurations["bladeType"], 1);
	local skimmerTypeId = Utils.getNoNil(self.configurations["skimmerType"], 1);
	local diskTypeId = Utils.getNoNil(self.configurations["diskType"], 1);
	local otherId = Utils.getNoNil(self.configurations["other"], 1);
	
	if self.configurations["bladeType"] ~= nil then
    	ObjectChangeUtil.updateObjectChanges(self.xmlFile, "vehicle.bladeTypeConfigurations.bladeTypeConfiguration", bladeTypeId, self.components, self);
    end;
	if self.configurations["skimmerType"] ~= nil then
    	ObjectChangeUtil.updateObjectChanges(self.xmlFile, "vehicle.skimmerTypeConfigurations.skimmerTypeConfiguration", skimmerTypeId, self.components, self);
    end;
	if self.configurations["diskType"] ~= nil then
    	ObjectChangeUtil.updateObjectChanges(self.xmlFile, "vehicle.diskTypeConfigurations.diskTypeConfiguration", diskTypeId, self.components, self);
    end;
	if self.configurations["other"] ~= nil then
    	ObjectChangeUtil.updateObjectChanges(self.xmlFile, "vehicle.otherConfigurations.otherConfiguration", otherId, self.components, self);
    end;
end;

function AgromaszPO:delete()
end;

function AgromaszPO:readStream(streamId, connection)
end;

function AgromaszPO:writeStream(streamId, connection)
end;

function AgromaszPO:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AgromaszPO:keyEvent(unicode, sym, modifier, isDown)
end;

function AgromaszPO:update(dt) 
end;

function AgromaszPO:onLeave()
end;

function AgromaszPO:draw()
end;
	
function AgromaszPO:onDetach()
end;
	
function AgromaszPO:onDeactivate()
end;
	

